## dzl-shortcut-context

dzl-shortcut-context

## Functions

DzlShortcutContext * | dzl_shortcut_context_new ()
const gchar * | dzl_shortcut_context_get_name ()
DzlShortcutMatch | dzl_shortcut_context_activate ()
void | dzl_shortcut_context_add_action ()
void | dzl_shortcut_context_add_command ()
void | dzl_shortcut_context_add_signal ()
void | dzl_shortcut_context_add_signal_va_list ()
void | dzl_shortcut_context_add_signalv ()
gboolean | dzl_shortcut_context_remove ()
gboolean | dzl_shortcut_context_load_from_data ()
gboolean | dzl_shortcut_context_load_from_resource ()

## Properties

char * | name | Read / Write / Construct Only
gboolean | use-binding-sets | Read / Write

## Types and Values

#define | DZL_TYPE_SHORTCUT_CONTEXT
| DzlShortcutContext

## Object Hierarchy

        GObject
        ╰── DzlShortcutContext

## Description

## Functions

### dzl_shortcut_context_new ()

    DzlShortcutContext *
    dzl_shortcut_context_new (const gchar *name);

### dzl_shortcut_context_get_name ()

    const gchar *
    dzl_shortcut_context_get_name (DzlShortcutContext *self);

### dzl_shortcut_context_activate ()

    DzlShortcutMatch
    dzl_shortcut_context_activate (DzlShortcutContext *self,
                                   GtkWidget *widget,
                                   const DzlShortcutChord *chord);

### dzl_shortcut_context_add_action ()

    void
    dzl_shortcut_context_add_action (DzlShortcutContext *self,
                                     const gchar *accel,
                                     const gchar *detailed_action_name);

### dzl_shortcut_context_add_command ()

    void
    dzl_shortcut_context_add_command (DzlShortcutContext *self,
                                      const gchar *accel,
                                      const gchar *command);

### dzl_shortcut_context_add_signal ()

    void
    dzl_shortcut_context_add_signal (DzlShortcutContext *self,
                                     const gchar *accel,
                                     const gchar *signal_name,
                                     guint n_args,
                                     ...);

### dzl_shortcut_context_add_signal_va_list ()

    void
    dzl_shortcut_context_add_signal_va_list
                                   (DzlShortcutContext *self,
                                    const gchar *accel,
                                    const gchar *signal_name,
                                    guint n_args,
                                    va_list args);

### dzl_shortcut_context_add_signalv ()

    void
    dzl_shortcut_context_add_signalv (DzlShortcutContext *self,
                                      const gchar *accel,
                                      const gchar *signal_name,
                                      GArray *values);

This is similar to `dzl_shortcut_context_add_signal()` but is easier to use from language bindings.

#### Parameters

self | a DzlShortcutContext |
accel | the accelerator for the shortcut |
signal_name | the name of the signal |
values | The values to use when calling the signal. | [element-type GObject.Value][nullable][transfer none]

### dzl_shortcut_context_remove ()

    gboolean
    dzl_shortcut_context_remove (DzlShortcutContext *self,
                                 const gchar *accel);

### dzl_shortcut_context_load_from_data ()

    gboolean
    dzl_shortcut_context_load_from_data (DzlShortcutContext *self,
                                         const gchar *data,
                                         gssize len,
                                         GError **error);

### dzl_shortcut_context_load_from_resource ()

    gboolean
    dzl_shortcut_context_load_from_resource
                                   (DzlShortcutContext *self,
                                    const gchar *resource_path,
                                    GError **error);

## Types and Values

### DZL_TYPE_SHORTCUT_CONTEXT

    #define DZL_TYPE_SHORTCUT_CONTEXT (dzl_shortcut_context_get_type())

### DzlShortcutContext

    typedef struct _DzlShortcutContext DzlShortcutContext;

## Property Details

### The `“name”` property

      “name”                     char *

Name.

Owner: DzlShortcutContext

Flags: Read / Write / Construct Only

Default value: NULL

### The `“use-binding-sets”` property

      “use-binding-sets”         gboolean

If the context should allow activation using binding sets.

Owner: DzlShortcutContext

Flags: Read / Write

Default value: TRUE